/*
    Drools5 Integration Helper
    Copyright (C) 2009  Mathieu Boretti mathieu.boretti@gmail.com

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package org.boretti.drools.integration.drools5.implementation;

import org.apache.log4j.Logger;
import org.drools.WorkingMemoryEventManager;
import org.drools.audit.WorkingMemoryLogger;
import org.drools.audit.event.LogEvent;

/**
 * @author mbo
 *
 */
class DroolsWorkingMemoryLogger extends WorkingMemoryLogger {
	
	private static final Logger logger = Logger.getLogger(DroolsWorkingMemoryLogger.class);

	public DroolsWorkingMemoryLogger(
			WorkingMemoryEventManager workingMemoryEventManager) {
		super(workingMemoryEventManager);
	}

	/* (non-Javadoc)
	 * @see org.drools.audit.WorkingMemoryLogger#logEventCreated(org.drools.audit.event.LogEvent)
	 */
	@Override
	public void logEventCreated(LogEvent event) {
		if (event==null) return;
		if (logger.isDebugEnabled()) logger.debug("Drools WorkingMemoryLogger event :"+event.getType()+":"+event.toString());
	}

}
